{smcl}
{cmd:help regeq}
{hline}

{title:Title}
{phang}

{bf:regeq} {hline 2} Postestimation command to {bf:regress, logit, logistic, stcox}: 
    generate macro for fitted equation


{title:Syntax}

{p 8 17 2}
{bf:regeq} [, format(string) prefix(string)]

{title:Description}

List estimated equation and equation and
Generate global macros, with estimated coefficents and estimated equation.
The option prefix speficify the prefix for the macros - default is "b".
 $prefix0,... ,$prefixk: the k+1 estimated coeffcients
 
{title:Examples}

	{inp:. xi:regress mpg weight i.foreign i.rep78}
	{inp:. regeq, format(%10.6f)prefix(v)    }
	{inp:  estimated equation  }
	{inp:  40.502274 -0.006291 * weight -2.923268 * _Iforeign_1  ///  }
	{inp:  -0.278645 * _Irep78_2 -0.022420 * _Irep78_3  +0.681358 * _Irep78_4  /// } 
	{inp:  +3.865535 * _Irep78_5 }
	{inp:  }
	{inp:  equation   }
	{inp:  v0 + v1 * weight + v2 * _Iforeign_1 + v3 * _Irep78_2  /// }
	{inp:  + v4 * _Irep78_3 + v5 * _Irep78_4 + v6 * _Irep78_5   }


	{inp:. twoway                                                                /// }
	{inp:. (function $v0+ $v1 * x        +  $v4 ,range(weight)  lcolor(red))    /// }
	{inp:. (function $v0+ $v1 * x        +  $v5 ,range(weight)  lcolor(blue))   ///  }
	{inp:. (function $v0+ $v1 * x +  $v2 +  $v4 ,range(weight)  lcolor(red))    /// }
	{inp:. (function $v0+ $v1 * x +  $v2 +  $v5 ,range(weight)  lcolor(blue) )  /// }
 	{inp:. ,legend( label(1 "domestic 3 repairs") label(2 "domestic 4 repairs")  ///}
  	{inp:. label(3 "foreign 3 repairs") label(4 "foreign 4 repairs") ) }

{title:Authors}

Morten Frydenberg 
School of Public Health, Aarhus University, Denmark
Email: {browse "mailto:morten@biostat.au.dk":morten@biostat.au.dk}



